> ## Documentation Index
> Fetch the complete documentation index at: https://wordsmithai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Comments

> List the internal comments on a task.

Comments are the task's internal discussion, visible to people with access to the task. To reply to whoever requested the task instead, use the [thread endpoint](/api-reference/tasks/add-thread-reply).

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments' \
  --header 'Authorization: Bearer YOUR_API_KEY'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments", {
    method: "GET",
    headers: {
      Authorization: "Bearer YOUR_API_KEY",
      "Content-Type": "application/json",
    },
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments"
  headers = {
      "Authorization": "Bearer YOUR_API_KEY",
      "Content-Type": "application/json",
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": "aaaa1111-bbbb-2222-cccc-333333333333",
      "task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
      "content": "Indemnity looks acceptable now.",
      "author": {
        "id": "11111111-2222-3333-4444-555555555555",
        "name": "Jane Doe",
        "email": "jane@example.com"
      },
      "parent_comment_id": null,
      "mentioned_users": [],
      "file_ids": [],
      "created_at": "2025-12-31T01:00:00Z",
      "updated_at": "2025-12-31T01:00:00Z"
    }
  ]
  ```
</ResponseExample>
